\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\draw [color=Gris3,, xstep=1cm,ystep=1cm] (-6,1) grid (6,7);
\clip(-6,1) rectangle (6,7);
\draw [line width=1.5pt,color=A1] (-5,2)-- (-1,2);
\draw [line width=1.5pt,color=A1] (-1,2)-- (-1,4);
\draw [line width=1.5pt,color=A1] (-1,4)-- (1,4);
\draw [line width=1.5pt,color=A1] (1,4)-- (-3,6);
\draw [line width=1.5pt,color=A1] (-3,6)-- (-5,4);
\draw [line width=1.5pt,color=A1] (-5,4)-- (-5,2);
\draw [line width=1.5pt,color=B2] (1,2)-- (3,2);
\draw [line width=1.5pt,color=B2] (3,2)-- (3,3);
\draw [line width=1.5pt,color=B2] (3,3)-- (4,3);
\draw [line width=1.5pt,color=B2] (4,3)-- (2,4);
\draw [line width=1.5pt,color=B2] (2,4)-- (1,3);
\draw [line width=1.5pt,color=B2] (1,3)-- (1,2);
\end{tikzpicture}
\end{document}